///////////////////////////////////////////////////////////////////////////////
//	File:	main.h
//	Date:	2011-01-02
///////////////////////////////////////////////////////////////////////////////

#ifndef MAIN_H_
#define MAIN_H_

#include "mcu/stm32f10x.h"
#include "mcu/interrupt.h"

#include "utility/macros.h"
#include "utility/clock.h"

#include "mcu/peripherals/mcu_gpio.h"
#include "mcu/peripherals/mcu_rcc.h"
#include "mcu/peripherals/mcu_rtc.h"
#include "mcu/peripherals/mcu_pwr.h"

#include "mcu/peripherals/lcd_2x16.h"

extern void delay_ms(uint16_t time);

#endif /* MAIN_H_ */
