/*
 *	File:	mcu_rtc.c
 *	Date:	09.01.2011
 */

#include "main.h"

//-----------------------------------------------------------------------------
void mcu_rtc_init(void)
{
	uint32_t rtc_value;
	clock_type clock;

	// 19:46.00
	clock.hour = 19;
	clock.minutes = 46;
	clock.seconds = 0;
	rtc_value = clock_coder(&clock);

	RCC->APB1ENR |= RCC_APB1ENR_PWREN | RCC_APB1ENR_BKPEN;
	PWR->CR |= PWR_CR_DBP;

	if ((RCC->BDCR & RCC_BDCR_RTCEN) != RCC_BDCR_RTCEN)
	{
		RCC->BDCR |= RCC_BDCR_BDRST;
		RCC->BDCR &= ~RCC_BDCR_BDRST;
		RCC->BDCR |= RCC_BDCR_RTCEN | RCC_BDCR_RTCSEL_LSE;

		RTC->CRL |= RTC_CRL_CNF;
		RTC->PRLL = 0x7FFF;
		RTC->CNTH = rtc_value >> 16;
		RTC->CNTL = rtc_value;
		RTC->CRL &= ~RTC_CRL_CNF;

		RCC->BDCR |= RCC_BDCR_LSEON;
		while ((RCC->BDCR & RCC_BDCR_LSEON) != RCC_BDCR_LSEON)
		{

		}

		RTC->CRL &= (uint16_t)~RTC_CRL_RSF;
		while((RTC->CRL & RTC_CRL_RSF) != RTC_CRL_RSF)
		{

		}
	}
}
